LE_WEDO_Lifestyle_2HY17_45300_06

Product Resources & Support

LEGO® Education WeDo 2.0

Go to product page

WeDo 2.0 System Requirements

WeDo 2.0 uses Bluetooth Low Energy

For WeDo 2.0, we have integrated the latest Bluetooth technology into our solution to let you take 'live' control of the models you create for near-instantaneous response.

Windows

Hardware

  • 1.5GHz Intel® Core Duo processor or compatible or faster
  • 1.5GB RAM or more
  • 2GB/4GB RAM or more required for Windows 10 32/64-bit
  • Bluetooth 4.0 or above
  • 2GB of available hard-drive space
  • Windows 7 requires the BLED112 Bluetooth low power dongle

Operating System:

  • Windows 7 with Service Pack 1 (32/64-bit)
  • Windows 10 (Version 14393 or newer)
  • Available on the Downloads page.

Windows 10 ‘Fall Creators Update’ and Bluetooth connectivity issues:
With the newly released “Fall Creators Update” for Microsoft Windows 10 we have experienced Bluetooth connectivity issues with WeDo 2.0. Microsoft have rolled out a fix for this issue on the 16th of December as part of a Windows update. Please ensure that your Microsoft Windows 10 Fall Creators Update is updated.


Mac

Hardware

  • 1.5GHz Intel® Core Duo processor or compatible or faster
  • 1.5GB RAM or more
  • 2GB available hard disk space
  • Bluetooth 4.0 or above (Must have LMP version 0x6 or above to be equipped with Bluetooth 4.0)

Operating System

  • Mac OSX 10.10 or newer

Chromebook

Hardware

  • 4GB RAM
  • Bluetooth 4.0 or above
  • 2GB available storage space
  • 1.40GHz Intel® Celeron® 2955U dual-core processor equivalent or better
  • Internet connection*

Operating System

  • Chrome OS version 50 or above (we recommend that you always keep your operating system updated)

*An Internet connection is required to access online content, such as curricula and teacher support material.


iPad

Hardware

  • iPad 3 and iPad Mini or newer

Operating System

  • iOS 8.1 or above

Android Tablet

Hardware

  • 8” display or larger
  • Bluetooth 4.0 or newer
  • 2GB free disk space or more
  • Camera

Operating System

  • Android 4.4.2 KitKat or newer

**
Some low budget android devices will not be compatible due to various internal components even though the tablets meets the system requirements. Amazon Fire tablets are not supported. If you are buying Android Tablets for a school or are in doubt whether the tablets you already have are compatible with our app, please contact us and let us advise you about the compatibility. Please contact our team at https://www.lego.com/service. Thank you!

了解详情

LEGO, the LEGO logo, the Minifigure, DUPLO, the SPIKE logo, MINDSTORMS and the MINDSTORMS logo are trademarks and/or copyrights of the LEGO Group. ©2020 The LEGO Group. All rights reserved. Use of this site signifies your agreement to the terms of use.